Bug 502149 - Unable to import images
Unable to import images
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libgphoto2 (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
:
Depends On: 533691
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-22 05:19 EDT by Bruce Brackbill
Modified: 2011-06-27 10:12 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 10:12:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
image of gthumb gui camera error (508.76 KB, image/png)
2009-05-22 05:19 EDT, Bruce Brackbill
no flags Details
The log file of the camera NOT working (775.99 KB, application/octet-stream)
2009-06-21 17:02 EDT, Bruce Brackbill
no flags Details
The log file of the camera WORKING ( see my previous comment ) (29.18 KB, application/octet-stream)
2009-06-21 17:04 EDT, Bruce Brackbill
no flags Details
session patch (1.33 KB, patch)
2009-06-25 07:17 EDT, Marcus Meissner
no flags Details | Diff
output from: "gphoto2 --debug -P" (19.07 KB, text/plain)
2010-04-13 14:04 EDT, Bruce Brackbill
no flags Details

  None (edit)
Description Bruce Brackbill 2009-05-22 05:19:58 EDT
Created attachment 345069 [details]
image of gthumb gui camera error

Description of problem:

I plug my camera into usb and get"

#dmesg
May 22 01:51:25 localhost kernel: usb 2-2: new full speed USB device using uhci_hcd and address 6
May 22 01:51:26 localhost kernel: usb 2-2: New USB device found, idVendor=040a, idProduct=0579
May 22 01:51:26 localhost kernel: usb 2-2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
May 22 01:51:26 localhost kernel: usb 2-2: Product: KODAK EasyShare CX7220 Zoom Digital Camera
May 22 01:51:26 localhost kernel: usb 2-2: Manufacturer: Eastman Kodak Company
May 22 01:51:26 localhost kernel: usb 2-2: SerialNumber: CX72244572515
May 22 01:51:26 localhost kernel: usb 2-2: configuration #1 chosen from 1 choice

usb 2-2: usbfs: USBDEVFS_CONTROL failed cmd gthumb rqt 33 rq 102 len 0 ret -71
usb 2-2: usbfs: USBDEVFS_CONTROL failed cmd gthumb rqt 33 rq 102 len 0 ret -71
usb 2-2: usbfs: USBDEVFS_CONTROL failed cmd gthumb rqt 33 rq 102 len 0 ret -71
usb 2-2: usbfs: USBDEVFS_CONTROL failed cmd gthumb rqt 33 rq 102 len 0 ret -71
usb 2-2: usbfs: USBDEVFS_CONTROL failed cmd gthumb rqt 33 rq 102 len 0 ret -71
usb 2-2: usbfs: USBDEVFS_CONTROL failed cmd gthumb rqt 33 rq 102 len 0 ret -71
usb 2-2: USB disconnect, address 6

When I turn my camera off the camera model appears in the little gthumb window , but if i turn the camera back on, gthumb crashes.

See attached image.

Version-Release number of selected component (if applicable):
GNOME gthumb 2.10.11
Comment 1 Bug Zapper 2009-06-09 12:19:17 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bruce Brackbill 2009-06-14 23:18:26 EDT
Great news everyone. The F12 koji build: libgphoto2-2.4.6-1.fc12.i586 is working on F11 with my camera! I think I've reported this bug over three releases now :-)

Gthumb is still not automatically opening up and offering to import the images when I plug the camera in, but at least now I can manually do it.
Comment 3 Bruce Brackbill 2009-06-21 17:02:55 EDT
Created attachment 348818 [details]
The log file of the camera NOT working

OK it looks like I was wrong.

I tried to import some photos again today and it failed.

So... I reverted back to libgphoto2-2.4.5-1.fc11.i586 and it worked.
But... only until I reboot!

So somehow in the process of updating to libgphoto2-2.4.6-1.fc12.i586 or back to libgphoto2-2.4.5-1.fc11.i586 it imports correctly until I reboot.

So I'm going to try my theory right now:

1) Installing libgphoto2-2.4.6-1.fc12.i586 from koji - DONE

2) plugging in Camera -DONE

3) Applications > "Gthumb Image Viewer" > Import Photos > SUCCESS!

4) Unplug the camera.. take another picture ( repeat step 3 ) > SUCCESS!

So lets reboot and see if it fails.

1) Reboot,

2) plugging in Camera -DONE

3) Applications > "Gthumb Image Viewer" > Import Photos > FAIL!


NOTE: if I :
$rpm -e --nodeps libgphoto2-2.4.6-1.fc12.i586
$yum install libgphoto2-2.4.5-1.fc11.i586
It will work again until reboot.  So i want to make it clear that I believe the problem has nothing to do with either libgphoto2-2.4.5-1.fc11.i586 or libgphoto2-2.4.6-1.fc12.i586

I'm attaching two debug logs to this comment :

env LANG=C gphoto2 --debug --debug-logfile=camera-debug-logfileNOTWORKING --camera "Kodak CX7220" --port usb: -L
( This log will be written to until i kill it )

env LANG=C gphoto2 --debug --debug-logfile=camera-debug-logfileWORKING --camera "Kodak CX7220" --port usb: -L
( this is the log i get when i get SUCCESS from my above experiment )

I hope that the above information will be helpful in solving this bug.
Comment 4 Bruce Brackbill 2009-06-21 17:04:34 EDT
Created attachment 348819 [details]
The log file of the camera WORKING ( see my previous comment )

The log file of the camera WORKING ( see my previous comment )
Comment 5 Marcus Meissner 2009-06-25 04:49:13 EDT
04:38 < exw> _Marcus_: could you take a look at this bug: https://bugzilla.redhat.com/show_bug.cgi?id=502149
05:25 < exw> _Marcus_: If you could please take a look at the two attached logs to the above bug, the working one has the
          line 161, where it manages to increase the timeout "gphoto2-port(2): Setting timeout to 20000 millisecond(s)... ".
          On the otherhand, the log file where it failes does not manage to increase the timeout.




This is still the same issue. The OpenSession command (1002) is sent with a lower timeout. It still fails to open the session.
Comment 6 Marcus Meissner 2009-06-25 07:17:20 EDT
Created attachment 349378 [details]
session patch

this patch already will be in 2.4.7 and later, it might fix the bug (not sure though).
Comment 7 Bruce Brackbill 2009-06-27 00:04:29 EDT
ah ha! it's gvfs!

After reading the other horror stories in bug: https://bugs.launchpad.net/ubuntu/+source/gvfs/+bug/285682 I did a: chmod -x /usr/libexec/gvfs-gphoto2-volume-monitor and a reboot and gphoto works!

So even though i couldn't access/see the camera in nautilus/gvfs/.gvfs, it was screwing_with/locking the camera somehow anyway

So this is just a work around. gvfs is still not working correctly.
Comment 8 Bruce Brackbill 2009-06-27 02:55:43 EDT
I forgot to mention that I tried Marcus's patch ( comment #6 ) and it did NOT fix this bug for me  It wasn't until I disabled gvfs-gphoto2-volume-monitor that I was able to access gphoto.
Comment 9 Tomáš Bžatek 2009-06-29 05:51:28 EDT
This is by purpose, Gnome apps should not use libgphoto2 directly, should use gvfsd-gphoto2 instead (apps require porting). See the discussion in http://mail.gnome.org/archives/gvfs-list/2009-May/msg00001.html

Bruce, can you try this again with gvfs-1.2.3-8.fc11 (https://admin.fedoraproject.org/updates/F11/FEDORA-2009-7038)
Comment 10 Bruce Brackbill 2009-06-29 16:38:31 EDT
Tomáš,

>This is by purpose, Gnome apps should not use libgphoto2 directly, should use
>gvfsd-gphoto2 instead (apps require porting). See the discussion in
>http://mail.gnome.org/archives/gvfs-list/2009-May/msg00001.html

I was afraid that my words "access gphoto" would confuse the situation. So much for being able to edit BugZilla comments.  What I meant to say is "access my camera".  Tomáš, yes I had already learned that "Gnome apps should not use libgphoto2 directly"

>Bruce, can you try this again with gvfs-1.2.3-8.fc11
>(https://admin.fedoraproject.org/updates/F11/FEDORA-2009-7038) 

I had already updated gvfs from updates testing on June 26 and it does not work.

So to put it clearly as I can.  With gvfs-gphoto2-volume-monitor ENABLED, when I plug in my camera, no camera mount shows on my desktop, the camera does not show in gvfs-mount -l and I get fatal errors when I try to access my camera through Gthumb -> Import Photos.

With gvfs-gphoto2-volume-monitor DISABLED I can access my camera through Gthumb -> Import Photos ( no errors )

If you need more information I'm here.
Comment 11 rh 2009-07-08 14:52:47 EDT
Hit the same issue with Canon camera - already when used F11 Beta.
I have used the workaround: dismount camera and then you can import images with gThumb and F-Spot, but you can't open the camera folder using Nautilus though.
Comment 12 Bruce Brackbill 2010-04-13 14:04:48 EDT
Created attachment 406315 [details]
output from: "gphoto2 --debug -P"

Just tried Fedora 13 Beta Live with my camera and I'm still unable to import images. (The workaround I described in Comment 7 was unsuccessful). Attached is the output from "gphoto2 --debug -P".  If there is other output you need to help solve this bug, please let me know.
Comment 13 Marcus Meissner 2010-04-14 09:24:09 EDT
it returns 0x2004 error, which means "Invalid transaction ID".

This strongly suggests anohter libgphoto2 using client is running, and it
is probably gvfs.
Comment 14 Bruce Brackbill 2010-04-14 18:39:32 EDT
"it returns 0x2004 error, which means "Invalid transaction ID".
This strongly suggests anohter libgphoto2 using client is running, and it
is probably gvfs."

Marcus, right. I don't know why I was again trying to get gphoto2 to access my camera while gvfs has a lock on it. I've already been through this (see above). This bug must be getting to me. Anyway, I can confirm that I can still killall gvfs-gphoto2-volume-monitor and have gphoto2 access the camera.

Putting the workaround aside, the problem with gvfs persists. gvfs is still not mounting my camera and running gvfs-mount shows nothing.
Comment 15 Tomáš Bžatek 2010-04-15 08:05:26 EDT
Looks like bug 533691
Comment 16 Bug Zapper 2010-04-27 10:27:29 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Bruce Brackbill 2010-04-27 14:39:32 EDT
RE comment #15. 
Bug 533691 deals with "mass storage devices" and my camera ptp.  The fix to bug 533691 does not fix my bug.
Comment 18 Bruce Brackbill 2010-07-04 17:14:41 EDT
To further try to figure this bug out, I put a bunch of g_debug()'s in ggphoto2volumemonitor.c and found that gvfs-gphoto2-volume-monitor errored when get_stores_for_camera() called gp_camera_get_storageinfo().

Killing gvfs* and and running "gphoto2 --storage-info" directly also failed, suggesting that this was a libgphoto2 error and not a gvfs error:

[bruce@localhost ~]$ gphoto2 --storage-info
<snip>
0.270561 ptp2/usb_getdata(2): request code 0x1005 getting data error 0x02ff
0.270580 ptp2/storage_info_func(0): ptp getstorageinfo failed: 0x2ff
0.270610 gphoto2-camera(2): Operation failed!
*** Error (-1: 'Unspecified error') ***       

Marcus took a look at my output of "gphoto2 --storage-info" today and applied the patch:

http://gphoto.svn.sourceforge.net/viewvc/gphoto?view=revision&revision=13117

This fixes my long standing bug :-)

So after years of not being able to use my camera, except for killing gvfs and running "gphoto2 --get-all-files", I'm very happy to say that I when I plugin my camera, Nautilus opens up asking me what do do with the newly discovered device :-)  Opening it up with Shotwell Photo Manager works and so does opening it up in Nautilus Folder.  

There are still some issues that I will open new bugs for.  Like if I choose "Open Shotwell Photo Viewer"( the default ), I get "/home/bruce/.gvfs/gphoto2 mount on usb%3A002,015 is not a file." The Shotwell Photo Viewer desktop file executes: "shotwell %f" and I guess usb%3A002,015 really is not a file.  Plus Shotwell and Nautilus are fighting over mounts.

Lastly, I think that this bug fix is going to solve a lot of peoples bug reports.  The reason being, this bug does not really present itself very descriptively when it is triggered from within gvfs and many people may have reported against it not knowing.  Cheers.
Comment 19 Bug Zapper 2011-06-02 14:04:03 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 20 Bug Zapper 2011-06-27 10:12:51 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.